curl --request GET \
--url https://anzapi.onboardme.app/api/v1/entities/list \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://anzapi.onboardme.app/api/v1/entities/list"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://anzapi.onboardme.app/api/v1/entities/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://anzapi.onboardme.app/api/v1/entities/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://anzapi.onboardme.app/api/v1/entities/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://anzapi.onboardme.app/api/v1/entities/list")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://anzapi.onboardme.app/api/v1/entities/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body[
{
"entityKey": "2c4f6a88-1b3d-5e7f-90ab-cdef12345678",
"externalSystemID": "CRM-88421",
"entityCode": "RS-10492",
"fullEntityName": "Riverstone Holdings Ltd",
"entitySalutation": "Riverstone",
"entityInitials": "RH",
"entityBirthDate": "1990-05-15",
"entityEmail": "[email protected]",
"entityTelephone": "+61 3 9000 1200",
"entityMobile": "+61 400 555 220",
"entitySalesTaxNumber": "12 345 678 901",
"entityRegNumber": "ACN 123 456 789",
"entityTerminated": false,
"entityType": "Company",
"officeName": "Melbourne",
"isTaxEntity": true,
"updatedOn": "2025-04-10T04:05:00Z"
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}List client entities
Returns clients (entities) for the practice—typically companies and individuals you onboard.
Use lastUpdated for incremental sync and pageNumber for paged exports (1-based, up to 10000).
Optional name, otherName, surname, and email query parameters apply case-insensitive substring filters (AND together when more than one is set).
429: Rate limit exceeded.
curl --request GET \
--url https://anzapi.onboardme.app/api/v1/entities/list \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://anzapi.onboardme.app/api/v1/entities/list"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://anzapi.onboardme.app/api/v1/entities/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://anzapi.onboardme.app/api/v1/entities/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://anzapi.onboardme.app/api/v1/entities/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://anzapi.onboardme.app/api/v1/entities/list")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://anzapi.onboardme.app/api/v1/entities/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body[
{
"entityKey": "2c4f6a88-1b3d-5e7f-90ab-cdef12345678",
"externalSystemID": "CRM-88421",
"entityCode": "RS-10492",
"fullEntityName": "Riverstone Holdings Ltd",
"entitySalutation": "Riverstone",
"entityInitials": "RH",
"entityBirthDate": "1990-05-15",
"entityEmail": "[email protected]",
"entityTelephone": "+61 3 9000 1200",
"entityMobile": "+61 400 555 220",
"entitySalesTaxNumber": "12 345 678 901",
"entityRegNumber": "ACN 123 456 789",
"entityTerminated": false,
"entityType": "Company",
"officeName": "Melbourne",
"isTaxEntity": true,
"updatedOn": "2025-04-10T04:05:00Z"
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
Swagger / Postman only: Client ID as username, Client secret as password. In Postman, set this once on the collection (Authorization → Basic Auth) so all requests inherit. For production server-to-server code, prefer X-OM-Auth-ID and X-OM-Auth-Key headers.
Query Parameters
Only entities changed on or after this UTC time (incremental sync).
1-based page index (1–10000).
Substring match on entity first/given name (afEntityName).
Substring match on other/trading name (afOtherName).
Substring match on surname (afEntitySurname).
Substring match on email (afEntityEmail).
Response
OK
Friendly or preferred name for the client (not an honorific title such as Mr or Ms).